package com.fjhx.sale.service.pack;

import com.fjhx.sale.entity.pack.po.Pack;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.pack.vo.PackVo;
import com.fjhx.sale.entity.pack.dto.PackSelectDto;
import com.fjhx.sale.entity.pack.dto.PackDto;

import java.util.Map;


/**
 * <p>
 * 装箱出货表 服务类
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
public interface PackService extends BaseService<Pack> {

    /**
     * 装箱出货表分页
     */
    Page<PackVo> getPage(PackSelectDto dto);

    /**
     * 装箱出货表明细
     */
    PackVo detail(Long id);

    /**
     * 装箱出货表新增
     */
    void add(Pack pack);

    /**
     * 装箱出货表编辑
     */
    void edit(PackDto packDto);

    /**
     * 装箱出货表删除
     */
    void delete(Long id);

    /**
     * 出货通知单
     */
    Map<String, Object> shipmentNotification(Long id);
}
